View Single Post
Old 6th October 2014 | Show parent
  #125
Gear Maniac
 
Third Eye's Avatar
 

Quote:
Originally Posted by TheLastByte View Post
3.5L Is the upgrade required and can be purchased from Benden Tech Services in the UK. They even have an eBay link for those V1.x users wishing to upgrade the Eproms and Gal chip to Version 3.5 (Not 3.5L for Larc) You must ask for a Specific upgrade 3.5 or 3.5L.

Here is the link. It should explain all you require.
Lexicon 300 Reverb Effects V3 5 EPROM Gal Firmware Upgrade Kit | eBay

Regards
TheLastByte
That's amazing! I might buy a set just to put on the shelf.
Show replies